org.apache.hadoop.mapred

## Class FadvisedChunkedFile

- java.lang.Object
- - org.jboss.netty.handler.stream.ChunkedFile
  - - org.apache.hadoop.mapred.FadvisedChunkedFile

- All Implemented Interfaces:
    org.jboss.netty.handler.stream.ChunkedInput

      public class FadvisedChunkedFile
      extends org.jboss.netty.handler.stream.ChunkedFile

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FadvisedChunkedFile(RandomAccessFile file, long position, long count, int chunkSize, boolean manageOsCache, int readaheadLength, org.apache.hadoop.io.ReadaheadPool readaheadPool, String identifier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Object` | `nextChunk()`

    - ### Methods inherited from class org.jboss.netty.handler.stream.ChunkedFile

      `getCurrentOffset, getEndOffset, getStartOffset, hasNextChunk, isEndOfInput`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FadvisedChunkedFile

          public FadvisedChunkedFile(RandomAccessFile file,
                                     long position,
                                     long count,
                                     int chunkSize,
                                     boolean manageOsCache,
                                     int readaheadLength,
                                     org.apache.hadoop.io.ReadaheadPool readaheadPool,
                                     String identifier)
                              throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### nextChunk

          public Object nextChunk()
                           throws Exception

      Specified by:
        `nextChunk` in interface `org.jboss.netty.handler.stream.ChunkedInput`
      Overrides:
        `nextChunk` in class `org.jboss.netty.handler.stream.ChunkedFile`
      Throws:
        `Exception`

    - #### close

          public void close()
                     throws Exception

      Specified by:
        `close` in interface `org.jboss.netty.handler.stream.ChunkedInput`
      Overrides:
        `close` in class `org.jboss.netty.handler.stream.ChunkedFile`
      Throws:
        `Exception`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.